
Edit - bug #9261

LazyInitializationException (LIE) in TaxonController.doGetTaxonNodes()

10/22/2020 11:35 AM - Andreas Kohlbecker

Status: Closed Start date: 10/21/2020

Priority: Highest Due date:  

Assignee: Andreas Kohlbecker % Done: 100%

Category: cdm-dataportal Estimated time: 0.00 hour

Target version: Release 5.18   

Severity: critical Found in Version:  

Description

http://api.cybertaxonomy.org/caryophyllales/portal/taxon/b6ec8d50-7f37-4a17-af01-b1fae138c749/taxonNodes.json fails with a

LazyInitializationException

Related issues:

Copied from Edit - bug #9260: error in  pages.inc calling compose_taxon_node_... Closed 10/21/2020

Associated revisions

Revision 8728f23b - 10/22/2020 12:14 PM - Andreas Kohlbecker

fix #9261 extending init strategy to avoid LIEs in TaxonController

History

#1 - 10/22/2020 11:35 AM - Andreas Kohlbecker

- Copied from bug #9260: error in  pages.inc calling compose_taxon_node_status()  added

#2 - 10/22/2020 12:15 PM - Andreas Kohlbecker

- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|8728f23bae0e8758c46f09837af01070922d1d41.

#3 - 10/22/2020 12:15 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

- % Done changed from 50 to 100
